GNU bug report logs - #53981
28.0.91; shortdoc: Add support for outline-minor-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Daniel Mendler <mail@HIDDEN>; dated Sun, 13 Feb 2022 22:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 19 Feb 2022 12:49:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 07:49:32 2022
Received: from localhost ([127.0.0.1]:57084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLPB5-0001vb-SR
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 07:49:32 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nLPB0-0001vJ-L9
 for 53981 <at> debbugs.gnu.org; Sat, 19 Feb 2022 07:49:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YhFEL7AsYjFGKWausPD9B9XibUo95+iq76HlR4kkRgk=; b=LAlRMUSLjSNee8xRUKp8JndPe+
 9Bh48G2Q2lgLbl48Z4iMfDTj4Mm9V/l1NGpXVtBR6S68008lNFS6SDt1mQ0SLIagreN9UpqaQnThX
 wp1SgL8mQp/7UOhe7tY8UCwV5SosWWhoNmP1o0Vkk2HC/r0ZOvMNQS9R9BZZB7WkAc9U=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nLPAq-0006WJ-V3; Sat, 19 Feb 2022 13:49:19 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
 <875ypgqxzg.fsf@HIDDEN> <86fsoi29ho.fsf@HIDDEN>
 <87czjln2fq.fsf@HIDDEN> <86iltdlacv.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUtLjE0NDZBQUI+
 PkBDPThURjeMZzx+XztuVTqacEAeJzNnZmRUVFM/P0H////30LR9AAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YCEwwlLgma3WIAAAFdSURBVDjLtVS9bsIwED6rQmI8h4alS6FjJ+AJkFA7I1GLbiBxh9UN
 CSLWStTKI/Q5umZj7tQnqm0wPyEpMPSGKL7P3/18dzIAgLTmPwcWQTARXNt/QOeVKE8Y2xsAeQB9
 EjzNIYUssjagLAGK/S7UlcBBKBS+DOF66sY2uZouUlomKfcN1YdjQ1UekOoAPpPWZsJqqilRTGTM
 C7FpgayMSb/OuL7ityfDelRnoZktUB2zTojt5U9OlnrKKiFyQGWmFpSaVHfNJO3N1byy7L0PQ7k3
 VjJpxYzkfeR12/WR3WXfX9ljts7WYVAbERtRU7aa0Vo+NILsGGaItjlxJImfYU79mmdYGSAHhO3A
 k3H5IosBLANKQxVbrWDXAnButOJCRu3c+mAZAyG37gfAMaNTlqN5wYr+AYirGf8E7Bp0O3TbLxDR
 aRV/+CtHofwzE6/2T0cbWpuDo8SDfaifX1UMdZ/EfAsAAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIy
 LTAyLTE5VDEyOjM3OjQ2KzAwOjAwbVJ+mwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wMi0xOVQx
 MjozNzo0NiswMDowMBwPxicAAAAASUVORK5CYII=
X-Now-Playing: Tuxedomoon's _Ten Years In One Night (Live)_: "Everything You
 Want"
Date: Sat, 19 Feb 2022 13:49:16 +0100
In-Reply-To: <86iltdlacv.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 17 Feb 2022 19:45:28 +0200")
Message-ID: <87ley7vx6b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Then maybe instead
 of two text properties `outline-heading'=t and > `outline-level'=N, it should
 be enough to put just `outline-level': Yes, sounds like a good idea to me.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: Daniel Mendler <mail@HIDDEN>, 53981 <at> debbugs.gnu.org,
 =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Then maybe instead of two text properties `outline-heading'=t and
> `outline-level'=N, it should be enough to put just `outline-level':

Yes, sounds like a good idea to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 17 Feb 2022 17:48:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 17 12:48:39 2022
Received: from localhost ([127.0.0.1]:52644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKktT-0007U9-05
	for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 12:48:39 -0500
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:42649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nKktQ-0007Tb-1H
 for 53981 <at> debbugs.gnu.org; Thu, 17 Feb 2022 12:48:37 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 38A48C000D;
 Thu, 17 Feb 2022 17:48:27 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
Organization: LINKOV.NET
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
 <875ypgqxzg.fsf@HIDDEN> <86fsoi29ho.fsf@HIDDEN>
 <87czjln2fq.fsf@HIDDEN>
Date: Thu, 17 Feb 2022 19:45:28 +0200
In-Reply-To: <87czjln2fq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 17 Feb 2022 12:43:37 +0100")
Message-ID: <86iltdlacv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53981
Cc: Daniel Mendler <mail@HIDDEN>, 53981 <at> debbugs.gnu.org,
 =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> No, I was thinking that modes like this would just put a text property
> like `outline-heading' (or even just `heading') on the heading, and then
> outline-minor-mode would use that.

Should these modes also put the text property `outline-level'?

Then maybe instead of two text properties `outline-heading'=t and
`outline-level'=N, it should be enough to put just `outline-level':

diff --git a/lisp/emacs-lisp/shortdoc.el b/lisp/emacs-lisp/shortdoc.el
index 658edd6752..7bcf331eb9 100644
--- a/lisp/emacs-lisp/shortdoc.el
+++ b/lisp/emacs-lisp/shortdoc.el
@@ -1284,7 +1284,12 @@ shortdoc-display-group
          (unless (bobp)
            (insert "\n"))
          (insert (propertize
-                  (concat (substitute-command-keys data) "\n\n")
+                  (substitute-command-keys data)
+                  'face 'shortdoc-heading
+                  'shortdoc-section t
+                  'outline-level 1))
+         (insert (propertize
+                  "\n\n"
                   'face 'shortdoc-heading
                   'shortdoc-section t)))
         ;; There may be functions not yet defined in the data.
@@ -1307,7 +1312,7 @@ shortdoc--display-function
         (start-section (point))
         arglist-start)
     ;; Function calling convention.
-    (insert (propertize "(" 'shortdoc-function function))
+    (insert (propertize "(" 'shortdoc-function function 'outline-level 2))
     (if (plist-get data :no-manual)
         (insert-text-button
          (symbol-name function)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 17 Feb 2022 15:02:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 17 10:02:34 2022
Received: from localhost ([127.0.0.1]:52459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKiIk-0000vs-Kn
	for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 10:02:34 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nKiIg-0000vb-2Z
 for 53981 <at> debbugs.gnu.org; Thu, 17 Feb 2022 10:02:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ox2NzuPnf8gV55mMbZW2fR9popT1RWdvj4/LXPePCTo=; b=J+dv6DQiopb+/1gQt4clWSQjJL
 Znw2shd8rJmxEx07ZGtM5DPAmZZrfd2U19uGkhXVz8yt/hj7/5BPV8zAvZWTFrTz95/38dHxbyHtb
 Jg/fF3GW6gq8hsAXAcikO78tPKDGL6J+UmcBIg37yQY4kdZm7gQ1+n4QGTZC7+GdImKk=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nKiIV-0000OT-UI; Thu, 17 Feb 2022 16:02:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel Mendler <mail@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
 <875ypgqxzg.fsf@HIDDEN> <86fsoi29ho.fsf@HIDDEN>
 <87czjln2fq.fsf@HIDDEN>
 <3fc750e0-a003-b3f3-a6cb-abe75be2f1a8@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEW/p2rYx5Hr6+mf
 np2KeVZQTUz///+v/RaAAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YCEQ8AGIac7s4AAAGzSURBVDjL
 dZPhbfQgDIY5qQOEoA4AmYDY/L9PmAEqzP6r1DbJNV8vtRIU8tjmtQHnnHvY89se3mx5A/5q6rXI
 +wZOeg+OzD7d2WYggtcx5nz8DauCCADIsAN1gl3dGsAExGMMrlAYaU1JQFOwjcO40GAJ2T+xvwA3
 GxkF0JHKQAccyuqegoB8AQDFEu6fjJeI6hVYQhaf8AKggKmpvkGIPyALIPVuVYIuYJcE1ZbPOhoA
 na6ipJwymoE0QdimrB6kQ1Z5rIPHvwQRyikKyvaUVL1Jo9aYcimzZydg1iVFV8FXrQriqMxZC8kQ
 Gk3lUUAaVWawwi6SG7dQAVHBNkS/AqlFvhrq6tFSQWegBLYqU0XEA2DvMHLICjpmpAkSly+prSvA
 Jj1HmqlSL6RF71oyCtBqDNAYKBPSzkhHs4JkQM4H2kaMnkKtJ1i1nXicFNlUJho0ATZp1+hEUk8q
 PBq1I0K0ixKSc4IoG39GxGh9+s8EuPX2uD/dc90qyTm7Gk7w7m7gz1T+BS43LcDTPewif9Bvc39c
 c7rcWrf4e7D4W+Dk7x1YHt75n5APcjc2Vd2Yaf8GcuW/m1CuoHMAAAAldEVYdGRhdGU6Y3JlYXRl
 ADIwMjItMDItMTdUMTU6MDA6MjQrMDA6MDAabeu+AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTAy
 LTE3VDE1OjAwOjI0KzAwOjAwazBTAgAAAABJRU5ErkJggg==
X-Now-Playing: The Meters's _Gettin' Funkier All The Time (3): Just Kissed
 My Baby [Cabbage Alley & Rejuvenation]_: "You've Got To Change (You Got to
 Reform)"
Date: Thu, 17 Feb 2022 16:02:18 +0100
In-Reply-To: <3fc750e0-a003-b3f3-a6cb-abe75be2f1a8@HIDDEN> (Daniel
 Mendler's message of "Thu, 17 Feb 2022 14:44:20 +0100")
Message-ID: <87r181leo5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Daniel Mendler <mail@HIDDEN> writes: > I think
 Juri's approach to provide a search function is better, since it > gives more
 flexibility. At least please don't hard code the > `outline-heading` property.
 Then one could use different prop [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: 53981 <at> debbugs.gnu.org,
 =?utf-8?Q?K?= =?utf-8?Q?=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Daniel Mendler <mail@HIDDEN> writes:

> I think Juri's approach to provide a search function is better, since it
> gives more flexibility. At least please don't hard code the
> `outline-heading` property. Then one could use different properties and
> retroactively enable outline minor mode for modes which don't come with
> the outline-heading property. Maybe support a list of properties which
> indicate headlines? But at that point a function may just be simpler...

I don't see the point.  We're marking up buffers with semantic
information -- there isn't much point in trying to retrofit a machinery
like that for older packages.

I don't think it's necessary to create a whole machinery around this --
we should design with the future, not the past, in mind.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 17 Feb 2022 13:44:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 17 08:44:34 2022
Received: from localhost ([127.0.0.1]:50509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKh5F-0006yB-Ob
	for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 08:44:33 -0500
Received: from server.qxqx.de ([178.63.65.180]:52909 helo=mail.qxqx.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nKh5B-0006xt-4t
 for 53981 <at> debbugs.gnu.org; Thu, 17 Feb 2022 08:44:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:In-Reply-To:From:
 References:Cc:To:Subject:MIME-Version:Date:Message-ID:Sender:Reply-To:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=VtKvsJ5gxlOt7Thm0HxoNTkDX5MeOjfHrQh3+hbzKXc=; b=BORJkd0yZdgyl8CpmlQ0ujgBN7
 lQ9wbDqndhWlqdN2bi1B8HsnKCj4Tbyw6GuHzcmb+PhTawyhu5nvPg3Hjv0kX/iI/gJKvC0gsRQte
 PObR76XX3PWMVBZFXqaJ15YsALgn/eo19B1fX/mt/t8gWjEf4kzmqO76VHn5LFLevTxo=;
Message-ID: <3fc750e0-a003-b3f3-a6cb-abe75be2f1a8@HIDDEN>
Date: Thu, 17 Feb 2022 14:44:20 +0100
MIME-Version: 1.0
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
 <875ypgqxzg.fsf@HIDDEN> <86fsoi29ho.fsf@HIDDEN>
 <87czjln2fq.fsf@HIDDEN>
From: Daniel Mendler <mail@HIDDEN>
In-Reply-To: <87czjln2fq.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: 53981 <at> debbugs.gnu.org,
 =?UTF-8?Q?K=c3=a9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)



On 2/17/22 12:43, Lars Ingebrigtsen wrote:
> Juri Linkov <juri@HIDDEN> writes:
> 
>> Is this a promising direction?
> 
> [...]
> 
>> +  (setq-local outline-level (lambda () (if (eq (char-after) ?\() 2 1)))
>> +  (setq-local outline-search-function
>> +              (lambda (&optional looking-at)
>> +                (save-excursion
>> +                  (let* ((prop-at (if looking-at
>> +                                      (get-text-property (point) 'shortdoc-section)
>> +                                    t))
>> +                         (prop-match (and prop-at (text-property-search-forward 'shortdoc-section))))
>> +                    (when prop-match
>> +                      (set-match-data (list (prop-match-beginning prop-match)
>> +                                            (prop-match-end prop-match)))
>> +                      t))))))
> 
> No, I was thinking that modes like this would just put a text property
> like `outline-heading' (or even just `heading') on the heading, and then
> outline-minor-mode would use that.
> 
> I.e., we make modes that generate buffers provide semantics for the data
> it's inserted, and then outline-minor-mode reacts to those semantics.

I think Juri's approach to provide a search function is better, since it
gives more flexibility. At least please don't hard code the
`outline-heading` property. Then one could use different properties and
retroactively enable outline minor mode for modes which don't come with
the outline-heading property. Maybe support a list of properties which
indicate headlines? But at that point a function may just be simpler...

Daniel





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 17 Feb 2022 11:43:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 17 06:43:52 2022
Received: from localhost ([127.0.0.1]:50324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKfCR-0005TW-VC
	for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 06:43:52 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nKfCQ-0005TI-5B
 for 53981 <at> debbugs.gnu.org; Thu, 17 Feb 2022 06:43:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9FTwaCVH5UaWwYiy6Z1iauSUVMYiQAQbV/sMHurP0jA=; b=OY7Iwd0H0aOYLSW5eUSGBu4ial
 iu4OYEoMUZXRR8gY/bmn8o1RHMYjqLCeprs9RhXsZ+lQ4cajv35GxWW1rGXhz18Xzz2dH05InDn2T
 OPOJHKQr2F9rDB7oxc6niwHRh1T8Wn/jy8+fcRihEVAF1xLf+ybkp+VW40pXTcAaXNVQ=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nKfCG-0006fo-OS; Thu, 17 Feb 2022 12:43:43 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
 <875ypgqxzg.fsf@HIDDEN> <86fsoi29ho.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEV9hLKztss+SZwk
 KmT///+HInAoAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YCEQsgM7itm/AAAAGcSURBVDjLhZSLseMw
 CEWRXgNyKsBQQaD/3vZesJz47c4smfFYOvzBEWk5fsn662aLLPOYZhbi9Qyj+FsOnAqY4KmzwLRT
 DijylFBLwAIyBy0APDw9E7YFVBqYQzkSIu0qbAP8MgwmHuWBMRogt2AUAsV5g8B7OcnK1vJ/gJfx
 AX4VCP0HQIodo0Erd0cK0P12zaKNhQKsAr7vQ1hn1ZE3YA0XmGxi5AdMAJ4IrMAVFKA1HoBjydm5
 EWR+pem+013xAPmpY6ZO5VyxKzZ1ylQRxTzkfU481zrGmC+M7jUE76hjqKN+gkPnz2lrrAOahy5x
 ORU6Y6hBfYi8Fl0lExVVFRWDW5U1QVeiDralE72ycvYq6rrHcEsDXHG4Gfc9JrhusCWjtmSxzW3x
 zeiqBvAA3qAdPUAtHIH1nvzKqkF+A7d3AUa/Adc3fjYoi/xMhJvYWd096d3PrqNy6pZcMFk51Svn
 3Ssm+ObM690rjHXLEhZH1Fe0N7tb1aAdWX9+tUzoawPPXfzl6Po+aLNjsNEb+AX8AnU6sRr//vf5
 AxNqlRczdUN+AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTAyLTE3VDExOjMyOjUxKzAwOjAwHz4R
 qgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wMi0xN1QxMTozMjo1MSswMDowMG5jqRYAAAAASUVO
 RK5CYII=
X-Now-Playing: Cat Power's _Covers_: "White Mustang"
Date: Thu, 17 Feb 2022 12:43:37 +0100
In-Reply-To: <86fsoi29ho.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 16 Feb 2022 20:18:35 +0200")
Message-ID: <87czjln2fq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Is this a promising
 direction? [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: Daniel Mendler <mail@HIDDEN>, 53981 <at> debbugs.gnu.org,
 =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Is this a promising direction?

[...]

> +  (setq-local outline-level (lambda () (if (eq (char-after) ?\() 2 1)))
> +  (setq-local outline-search-function
> +              (lambda (&optional looking-at)
> +                (save-excursion
> +                  (let* ((prop-at (if looking-at
> +                                      (get-text-property (point) 'shortdoc-section)
> +                                    t))
> +                         (prop-match (and prop-at (text-property-search-forward 'shortdoc-section))))
> +                    (when prop-match
> +                      (set-match-data (list (prop-match-beginning prop-match)
> +                                            (prop-match-end prop-match)))
> +                      t))))))

No, I was thinking that modes like this would just put a text property
like `outline-heading' (or even just `heading') on the heading, and then
outline-minor-mode would use that.

I.e., we make modes that generate buffers provide semantics for the data
it's inserted, and then outline-minor-mode reacts to those semantics.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 16 Feb 2022 18:44:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 16 13:44:54 2022
Received: from localhost ([127.0.0.1]:49437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKPIL-00063d-Vy
	for submit <at> debbugs.gnu.org; Wed, 16 Feb 2022 13:44:54 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:64973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nKPIK-000636-34
 for 53981 <at> debbugs.gnu.org; Wed, 16 Feb 2022 13:44:52 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 8477C40003;
 Wed, 16 Feb 2022 18:44:44 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
Organization: LINKOV.NET
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
 <875ypgqxzg.fsf@HIDDEN>
Date: Wed, 16 Feb 2022 20:18:35 +0200
In-Reply-To: <875ypgqxzg.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 15 Feb 2022 10:29:23 +0100")
Message-ID: <86fsoi29ho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53981
Cc: Daniel Mendler <mail@HIDDEN>, 53981 <at> debbugs.gnu.org,
 =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

> As previously discussed in some other bug report *vague hand wave*, it
> makes no sense to use regexps for outline in generated buffers.  The
> functions that generate the buffers knows what's a heading, and should
> mark the headings properly (with text properties), and
> outline-minor-mode should just react to these text properties in these
> buffers.

That was in https://debbugs.gnu.org/31094#40

Is this a promising direction?


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=outline-search-function.patch

diff --git a/lisp/emacs-lisp/shortdoc.el b/lisp/emacs-lisp/shortdoc.el
index 658edd6752..63e799a2be 100644
--- a/lisp/emacs-lisp/shortdoc.el
+++ b/lisp/emacs-lisp/shortdoc.el
@@ -1435,7 +1435,19 @@ shortdoc-mode-map
 
 (define-derived-mode shortdoc-mode special-mode "shortdoc"
   "Mode for shortdoc."
-  :interactive nil)
+  :interactive nil
+  (setq-local outline-level (lambda () (if (eq (char-after) ?\() 2 1)))
+  (setq-local outline-search-function
+              (lambda (&optional looking-at)
+                (save-excursion
+                  (let* ((prop-at (if looking-at
+                                      (get-text-property (point) 'shortdoc-section)
+                                    t))
+                         (prop-match (and prop-at (text-property-search-forward 'shortdoc-section))))
+                    (when prop-match
+                      (set-match-data (list (prop-match-beginning prop-match)
+                                            (prop-match-end prop-match)))
+                      t))))))
 
 (defun shortdoc--goto-section (arg sym &optional reverse)
   (unless (natnump arg)
diff --git a/lisp/outline.el b/lisp/outline.el
index 012e219fc3..a282237696 100644
--- a/lisp/outline.el
+++ b/lisp/outline.el
@@ -301,7 +303,9 @@ outline-font-lock-face
   "Return one of `outline-font-lock-faces' for current level."
   (save-excursion
     (goto-char (match-beginning 0))
-    (looking-at outline-regexp)
+    (if outline-search-function
+        (funcall outline-search-function t)
+      (looking-at outline-regexp))
     (aref outline-font-lock-faces
           (% (1- (funcall outline-level))
              (length outline-font-lock-faces)))))
@@ -393,14 +397,19 @@ outline-minor-mode-highlight
   :safe #'symbolp
   :version "28.1")
 
+(defvar outline-search-function nil
+  "Function to search the next outline.
+It should be like `re-search-forward' and `looking-at'.")
+
 (defun outline-minor-mode-highlight-buffer ()
   ;; Fallback to overlays when font-lock is unsupported.
   (save-excursion
     (goto-char (point-min))
     (let ((regexp (concat "^\\(?:" outline-regexp "\\).*$")))
-      (while (re-search-forward regexp nil t)
-        (let ((overlay (make-overlay (match-beginning 0)
-                                     (match-end 0))))
+      (while (if outline-search-function
+                 (funcall outline-search-function)
+               (re-search-forward regexp nil t))
+        (let ((overlay (make-overlay (match-beginning 0) (match-end 0))))
           (overlay-put overlay 'outline-overlay t)
           (when (or (eq outline-minor-mode-highlight 'override)
                     (and (eq outline-minor-mode-highlight t)
@@ -535,7 +544,9 @@ outline-on-heading-p
   (save-excursion
     (beginning-of-line)
     (and (bolp) (or invisible-ok (not (outline-invisible-p)))
-	 (looking-at outline-regexp))))
+	 (if outline-search-function
+             (funcall outline-search-function t)
+           (looking-at outline-regexp)))))
 
 (defun outline-insert-heading ()
   "Insert a new heading at same depth at point."

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 15 Feb 2022 09:36:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 04:36:38 2022
Received: from localhost ([127.0.0.1]:43524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJuGE-0002iS-6k
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 04:36:38 -0500
Received: from server.qxqx.de ([178.63.65.180]:50355 helo=mail.qxqx.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nJuGC-0002iC-La
 for 53981 <at> debbugs.gnu.org; Tue, 15 Feb 2022 04:36:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:In-Reply-To:From:
 References:Cc:To:Subject:MIME-Version:Date:Message-ID:Sender:Reply-To:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=aqoY2gh7KryslBDdyWJVSDR1FJ6e5w2O3D3OKfG16vY=; b=Hgw089w9PZoqJWa7lAnKbnxuKh
 aDYub4l1QN/2TU1u0O3w7Xvr7s10Rq747NOnbeLDty0R8j19uNQJSQJzXydPh1zvWP0/vWNCSlBYC
 bbK/wcNXU6ZWQFWwyUMd4v2rry32A8Y2hueyqMU2HBV7PI9efFE3IK1frcKNLzmuL0zk=;
Message-ID: <dd529a3c-035a-3b43-e3cb-6737961d0a2f@HIDDEN>
Date: Tue, 15 Feb 2022 10:36:27 +0100
MIME-Version: 1.0
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>,
 =?UTF-8?Q?K=c3=a9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
 <875ypgqxzg.fsf@HIDDEN>
From: Daniel Mendler <mail@HIDDEN>
In-Reply-To: <875ypgqxzg.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: 53981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 2/15/22 10:29, Lars Ingebrigtsen wrote:
> As previously discussed in some other bug report *vague hand wave*, it
> makes no sense to use regexps for outline in generated buffers.  The
> functions that generate the buffers knows what's a heading, and should
> mark the headings properly (with text properties), and
> outline-minor-mode should just react to these text properties in these
> buffers.

That's a good idea, but only tangentially related to the aesthetic
outline issue with the face. I wanted to have something like this
before, when I attached text properties to headlines. If outline-mode
could automatically find headlines by a text property that would be great!

Daniel




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 15 Feb 2022 09:29:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 04:29:35 2022
Received: from localhost ([127.0.0.1]:43506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJu9P-0002W8-Bn
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 04:29:35 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nJu9N-0002Vv-MA
 for 53981 <at> debbugs.gnu.org; Tue, 15 Feb 2022 04:29:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=YmHsKzfevLPba+UTuIiiaTXhobEOyVobl1P0XSvvkYM=; b=KYAM3qFE/qX/4n1uK7CSJ7NQAs
 FeZxBMWRE4sIzrn52aIvesF4DPe6W1mfptqVVyxurMg3P+DDRyXbcyaY7nVlU+Qj18InVwR7meBSS
 kqbIZBZfIO7QLRbsV/XIfYsdJBRNaviCKM3RDCO+ckL4p3qQ1WzgtM/83INWjr/pFR6A=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nJu9D-0008Tn-Qe; Tue, 15 Feb 2022 10:29:26 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN> <87sfsky494.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXT0caPWlY4Mir/
 //9kTWJkAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YCDwkbAf+K0YoAAAGkSURBVCjPVdLBjtowEAbg
 sVUilVO3otHCfQ/kKcKhHHIKVSba+LSHBRU/BSAt0va0IIi0ObGVE+H/KTsGVLU+JP408cS/E6Lb
 UIAP96dwGf2L5IYvfyuDG6KAnzdcGmDNzGlvzmgmhA2MI7JoKiXoG2XdV2zuBXtTSNvcvhSK/BSM
 ZTdknytKNfgTUaHa9ILiWTMPjoKBxsyVZZWXpOi7rg3asuKp4NRtIciKTFAkGXAsp0+xwBgA62X2
 thfIFF4tss1v/U6hcK++ZdFH31OvDz+k+LXX0DCkcqM8PozOpCWVPfi8fyhdAC92j7NsVbt4RtHu
 GY958qM+htirB+MHdsvGL2hFw0nZtEMueELryYtyy/mSWcLhzWtvAS5URTjNowWatuIlCB9pjFr2
 1HrQeXYcQc4WRyuVXCX4bOGZjbyHEh9bzJkbQkrReYQz0ZgJRNpZnCh9uKIDnMauJPl2etuE8Dt7
 AW7jf8iaGLDmCnWqW2APEx7THrWv3bgJiBpYX6J/xS+P9g5rWUhoEPnOYWXDgRiYtmu799CgGpeJ
 /BYsu+Y/5JjZYM8ec9AAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDItMTVUMDk6Mjc6MDErMDA6
 MDAw1RwyAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTAyLTE1VDA5OjI3OjAxKzAwOjAwQYikjgAA
 AABJRU5ErkJggg==
X-Now-Playing: He Said's _Take Care_: "Get Out Of That Rain"
Date: Tue, 15 Feb 2022 10:29:23 +0100
In-Reply-To: <87sfsky494.fsf@HIDDEN> (=?utf-8?Q?=22K=C3=A9vin?= Le
 Gouguec"'s message of "Tue, 15 Feb 2022 08:32:07 +0100")
Message-ID: <875ypgqxzg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Kévin Le Gouguec <kevin.legouguec@HIDDEN> writes: > I
   have not found the time to dig into outline.el to understand how this > could
    be pulled off yet. FWIW though, issues such as the one we're > seeing now
    with shortdoc comfort me in the idea that th [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: Daniel Mendler <mail@HIDDEN>, 53981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

K=C3=A9vin Le Gouguec <kevin.legouguec@HIDDEN> writes:

> I have not found the time to dig into outline.el to understand how this
> could be pulled off yet.  FWIW though, issues such as the one we're
> seeing now with shortdoc comfort me in the idea that this is a
> fundamental problem with outline.el (although a mostly aesthetic one,
> granted).

Yeah, I think it's an issue in outline (that should be fixed).

>   I'm also reminded of bug#51016, where we debated whether FORM FEEDs
>   belonged in outline-regexp; I'm seeing a pattern with shortdoc's
>   separator lines, and I wonder if outline.el should grow a concept of
>   "section separators".
>
>   That would allow us to stop conflating FORM FEEDs with level-1
>   headings, letting outline-forward-same-level do DTRT, yet keeping the
>   ^L displayed even when folding all top-level headings, which IIRC was
>   a contentious issue in that bug report

As previously discussed in some other bug report *vague hand wave*, it
makes no sense to use regexps for outline in generated buffers.  The
functions that generate the buffers knows what's a heading, and should
mark the headings properly (with text properties), and
outline-minor-mode should just react to these text properties in these
buffers.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 15 Feb 2022 07:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 02:32:17 2022
Received: from localhost ([127.0.0.1]:43348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJsJt-0007sZ-8J
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 02:32:17 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:46874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1nJsJr-0007sL-1L
 for 53981 <at> debbugs.gnu.org; Tue, 15 Feb 2022 02:32:15 -0500
Received: by mail-wr1-f50.google.com with SMTP id q7so30415427wrc.13
 for <53981 <at> debbugs.gnu.org>; Mon, 14 Feb 2022 23:32:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=crFButzbiN0QVg33ojO7+OEcW/IqAuC2vhR/cPSVxdI=;
 b=R+BKwGZ0Tmdxbzw/PVb1X8O5S92B7Q0cagvLyAQyPSF6xN5gwRA2er5ZpRVTiUZR9O
 keyWzqEekEGA9gJJr0PboeKNgHeCYa6JSJCCBXFxWNxY7SNoAwZv0LUXxiu4yGgn+EuJ
 nDDaBMzna65ehAbLXKiJ6LIg6vLtrJ4nnTSfA1QkF0JHFHaqEvq72M19FMa8MFqoYpL7
 A9ynpSzckhdHz69QWshn5mJaw7H3LTxfZls9lqYlk/WQFb6Fnq/wNQ7x9V/5hYE05vN1
 q+Iw2720ikG/JK9SYg+MX2AZwtkHetXi6+UaKDsRZkGhyZZkdqbfSTS1cGpujggPCUD0
 IIWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=crFButzbiN0QVg33ojO7+OEcW/IqAuC2vhR/cPSVxdI=;
 b=JgynUIXheukFpCHA21EhP/0XhX8EERViRVHP9y4R0L803WCWk4+1E5vvC+jlYSTEOq
 RXiB3K3julFEHWj0MwuH2kNbJMFXCJGAgHyREMenn1q+e0+ebx6bTtFokvNL6EUqahVQ
 TGHG5T/M8PJJVuu0BGeMZqENGtBb/XQIPwe5M5TMs9vxARNj2yQ0dTgV94+NfRhLa4/Y
 WkYf5wOArUPtdpVycgVEiHfR8aVzAd/Vfyi+HKg3BeDSJwmMdo1KfSbmfSOrl2Z3/eZu
 +ikJdSXpaTMsjJi78cP2kjIzZsIdoPoIPnBQJRUymKhvH0PzK+uyEuIs1yh2sIN5eS1S
 XeDQ==
X-Gm-Message-State: AOAM532leTqFmcT4xS+atx8BBIumKvr8u0IAvZ3Wtt+hqElewvGKE1H5
 nSDVSuBkD3SjOtsPo4MBGN1T4ofVajw=
X-Google-Smtp-Source: ABdhPJwCVIxfU5omH+Uf6QPqAnBJtQkz+Ht7qIjrjU5o7ZcaYIGqQGD1nwmW034JPfI1PIZv00u52g==
X-Received: by 2002:a5d:4e48:: with SMTP id r8mr2108555wrt.570.1644910328786; 
 Mon, 14 Feb 2022 23:32:08 -0800 (PST)
Received: from amdahl30 ([2a01:e0a:253:fe0:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id az7sm17497542wmb.14.2022.02.14.23.32.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 14 Feb 2022 23:32:08 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN>
Date: Tue, 15 Feb 2022 08:32:07 +0100
In-Reply-To: <87czjpso5q.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 14 Feb 2022 12:06:25 +0100")
Message-ID: <87sfsky494.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53981
Cc: Daniel Mendler <mail@HIDDEN>, 53981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> But then hiding levels made the display pretty weird:

Looking at your screenshot, this reminds me of the discussion we're
having on bug#52587?  See in particular the three screenshots in

<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52587#19>
<<87fsqnvl98.fsf@HIDDEN>>

I.e. given this outline buffer:

<https://debbugs.gnu.org/cgi/bugreport.cgi?att=1;filename=unfolded.png;msg=19;bug=52587>

The current folding causes this:

<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52587;msg=19;filename=folded-current.png;att=3>

Whereas it looks like this would be more useful:

<https://debbugs.gnu.org/cgi/bugreport.cgi?att=5;msg=19;filename=folded-requested.png;bug=52587>

IOW, instead of eliding everything from the heading's end-of-line
(included) to the section's last end-of-line (*excluded*, so its
font-locking clashes with the heading line), we would like to elide
everything *after* the heading's end-of-line (*including* the section's
last end-of-line).

I have not found the time to dig into outline.el to understand how this
could be pulled off yet.  FWIW though, issues such as the one we're
seeing now with shortdoc comfort me in the idea that this is a
fundamental problem with outline.el (although a mostly aesthetic one,
granted).

<tangent>

  I'm also reminded of bug#51016, where we debated whether FORM FEEDs
  belonged in outline-regexp; I'm seeing a pattern with shortdoc's
  separator lines, and I wonder if outline.el should grow a concept of
  "section separators".

  That would allow us to stop conflating FORM FEEDs with level-1
  headings, letting outline-forward-same-level do DTRT, yet keeping the
  ^L displayed even when folding all top-level headings, which IIRC was
  a contentious issue in that bug report

</tangent>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 14 Feb 2022 14:30:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 14 09:30:10 2022
Received: from localhost ([127.0.0.1]:40398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJcMj-0005Vh-Fg
	for submit <at> debbugs.gnu.org; Mon, 14 Feb 2022 09:30:09 -0500
Received: from server.qxqx.de ([178.63.65.180]:60299 helo=mail.qxqx.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nJcMh-0005QQ-5A
 for 53981 <at> debbugs.gnu.org; Mon, 14 Feb 2022 09:30:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:In-Reply-To:From:
 References:Cc:To:Subject:MIME-Version:Date:Message-ID:Sender:Reply-To:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MI4JsYzrgl5A462+ES+btCdXK8xPt4XpTVgOuLS9/tQ=; b=XeLc4SFZXvTwRmcbNkLm5SrB2V
 lMOc6NYGdgDR2Cc0hplNLZGj+y6VPcniAG/4WZLETKOzpUiK+y3Nq3Jh0NgMwNj2qmpjDrI/Y2VMP
 h6LVRZ/97wz0tt7z2V4Kh82vdXAxA0qJWUqnPnviBMbRn5hF88uaxo1RgBYUlzBBCc+U=;
Message-ID: <82d64c11-d25e-d42a-e309-4b8ec3577df8@HIDDEN>
Date: Mon, 14 Feb 2022 15:29:58 +0100
MIME-Version: 1.0
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN>
 <266fd04d-b3c7-2eec-82b2-dbece8988704@HIDDEN>
 <87o839r0po.fsf@HIDDEN>
From: Daniel Mendler <mail@HIDDEN>
In-Reply-To: <87o839r0po.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: 53981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 2/14/22 15:18, Lars Ingebrigtsen wrote:
>> With this setting, the separator line generally looks better and less
>> obtrusive. So we may want to consider using no background and
>> `:underline t` instead? With outline mode folding the separator line is
>> still visible, but doesn't disturb the visuals so severely.
> 
> I think the separator line looks fine the way it is, so if we're to
> enable outline-minor-mode in that buffer, the outlining will have to be
> adjusted to take that into account.

If you want to keep the separator as is, I am not sure if we can solve
the outline display issue, since it is an artifact of the current
separator face. Maybe it would help to introduce an additional line of
small height after the separator line, such that an outline-folded block
will not end with the separator line?

I like to have good outline support since it also helps with commands
like my `consult-outline` and `counsel-outline`, which can be used to
browse and export a TOC. For me, there is more to outlines than folding
only.

But overall I don't feel strongly about this - it is a minor feature. I
can just keep outline support in my user config in combination with the
single pixel separator lines, which looks better. ;)

Daniel




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 14 Feb 2022 14:18:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 14 09:18:26 2022
Received: from localhost ([127.0.0.1]:40381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJcBO-00057k-54
	for submit <at> debbugs.gnu.org; Mon, 14 Feb 2022 09:18:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:36934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nJcBJ-00057Q-6z
 for 53981 <at> debbugs.gnu.org; Mon, 14 Feb 2022 09:18:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2hW4HVWTCyPa0OX+rgaEzWwEGb/1Ucykab37Jj3pvaA=; b=DI3HsraqcuJZg5E66ekQNTNtxs
 mbuTfAsFsfdDIic+1H+AtzXoDStyg5MjApI+X1kBDIf9aT/evKX+lCrrCSKM3QYU6ZhO5/Ct5wGPQ
 gw5FImAala4tZLGySghtsvtbEs0smODKiEQOXZpbB+NzUCudPhXzosOJo3hrnQxYpjMU=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nJcBA-0000If-1f; Mon, 14 Feb 2022 15:18:14 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel Mendler <mail@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN>
 <266fd04d-b3c7-2eec-82b2-dbece8988704@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVMQk6Zgm/07uPJ
 uqf///8KMbFVAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YCDg4QLZNVFUIAAAG2SURBVDjLdZQBsuQg
 CETxewGVC/zABRTuf7eF1mQyW7vWlJXxjdANZIioiEij0shUPotuUAPIN6giGjuR/AWGyEXEeTNi
 TeJGPzeYRI6QFo99HmCZghaABijrDcqVuURt9e5uCQpyl98A7vHs/gXqpKqpN4ECVIgKGxUyA6jf
 YL5A/KgzwIAophv0VvoBTmnjgNUatZGA/Rv0WADui9IGDEpI3jWmoh65y/oPqAlh46luVW8H4NCz
 lJcJsWbuG5hU0TV63GCL8NmDACY+RxuXpyqI2iDCrLJKVEUAZtoAUOmdx85Dbi/gqDCqHDfaNk7F
 sx/7E+XzfYbN0CI1HVch1xvUbIS5mP6oM0FUVWzquvo1rvR4wKbOkxejMgFSFCcg7dzMMaiXENT2
 nolycmAuhcEB1V8oiJ7tG+EEDmhMDLcm4O1kA1xj30tlpXOk5bkB7zrk5AAUKBiYzgfkUdH8OhBo
 9ReoLxCD3zFwUPtK3sLUHlEASHtumBwwAOwB/g1wHvp61zuUfwC3GN31gPXJgaH+B1jYjtzyBpBk
 BoMFzYohsehsvhuWICf6ANMT//yXPMD7C/wBIQFxXoGyh8kAAAAldEVYdGRhdGU6Y3JlYXRlADIw
 MjItMDItMTRUMTQ6MTY6NDUrMDA6MDBCuyt9AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTAyLTE0
 VDE0OjE2OjQ1KzAwOjAwM+aTwQAAAABJRU5ErkJggg==
X-Now-Playing: Dry Cleaning's _New Long Leg_: "New Long Leg"
Date: Mon, 14 Feb 2022 15:18:11 +0100
In-Reply-To: <266fd04d-b3c7-2eec-82b2-dbece8988704@HIDDEN> (Daniel
 Mendler's message of "Mon, 14 Feb 2022 13:23:58 +0100")
Message-ID: <87o839r0po.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Daniel Mendler <mail@HIDDEN> writes: > With this
 setting, the separator line generally looks better and less > obtrusive.
 So we may want to consider using no background and > `:underline t` instead?
 With outline mode folding the separato [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: 53981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Daniel Mendler <mail@HIDDEN> writes:

> With this setting, the separator line generally looks better and less
> obtrusive. So we may want to consider using no background and
> `:underline t` instead? With outline mode folding the separator line is
> still visible, but doesn't disturb the visuals so severely.

I think the separator line looks fine the way it is, so if we're to
enable outline-minor-mode in that buffer, the outlining will have to be
adjusted to take that into account.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 14 Feb 2022 12:24:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 14 07:24:11 2022
Received: from localhost ([127.0.0.1]:40097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJaOp-0003R6-Gs
	for submit <at> debbugs.gnu.org; Mon, 14 Feb 2022 07:24:11 -0500
Received: from server.qxqx.de ([178.63.65.180]:59677 helo=mail.qxqx.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nJaOk-0003QQ-Qg
 for 53981 <at> debbugs.gnu.org; Mon, 14 Feb 2022 07:24:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:In-Reply-To:From:
 References:Cc:To:Subject:MIME-Version:Date:Message-ID:Sender:Reply-To:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Q1+iKejtcEm1jIkyYRxOrqJ8uylFH3B4uO2Tgoim1cM=; b=IwrrzTY0Uq1yPV1FW5vaxz1cF4
 fUbDkSY8mpifE0OLSWUevAF/rEz0/7YbEzyQaacl7kHwVNc9tee1gp58eEYy46OGX1WpgBmEHNjdZ
 1BVt1mV8BEA+XNHSNiyABZO3uLzzqGLgHZnwkDzqkCDff2x+2gWp2L0c1CRAP4daYwhQ=;
Message-ID: <266fd04d-b3c7-2eec-82b2-dbece8988704@HIDDEN>
Date: Mon, 14 Feb 2022 13:23:58 +0100
MIME-Version: 1.0
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
 <87czjpso5q.fsf@HIDDEN>
From: Daniel Mendler <mail@HIDDEN>
In-Reply-To: <87czjpso5q.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: 53981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 2/14/22 12:06, Lars Ingebrigtsen wrote:
> I tried the following:
> ...> But then hiding levels made the display pretty weird:
>
> So if we want that, it needs more work.

I see. This looks indeed not that good due to the newly introduced
`separator-line` face. I use a different setting for the
`separator-line` in my configuration, which has only a height of a
single pixel by using the `:underline` face attribute:

(set-face-attribute 'separator-line nil
  :inherit 'shadow :background nil :underline t :height 1)

With this setting, the separator line generally looks better and less
obtrusive. So we may want to consider using no background and
`:underline t` instead? With outline mode folding the separator line is
still visible, but doesn't disturb the visuals so severely.

Daniel




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at 53981 <at> debbugs.gnu.org:


Received: (at 53981) by debbugs.gnu.org; 14 Feb 2022 11:06:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 14 06:06:37 2022
Received: from localhost ([127.0.0.1]:40026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJZBl-0007Qi-29
	for submit <at> debbugs.gnu.org; Mon, 14 Feb 2022 06:06:37 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nJZBi-0007QM-Dw
 for 53981 <at> debbugs.gnu.org; Mon, 14 Feb 2022 06:06:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=JygFS0YNU7wtpL74t4Jvnk0Z9KPDFZTwrp27jtMrUm4=; b=UHvcqd6L1ZaYoIwrPlXINm9tU/
 xHc5iQG4wI14pM32a4Vxz1qgdH15WO1yeOlk5uhV2ldcfbpHsB+4mfBL8iVOfXkYQWQY0ecoiGS0B
 ppS57dfmPGtZuwkxfJhuBp5OA3b0CqPOZZXQrKBmjlU44Ei/zl1fvyP4VM9VpBgPr6vY=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nJZBZ-0007DD-Tx; Mon, 14 Feb 2022 12:06:28 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel Mendler <mail@HIDDEN>
Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode
References: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
X-Now-Playing: Whipped Cream's _Still in a Dream (3)_: "Explosion"
Date: Mon, 14 Feb 2022 12:06:25 +0100
In-Reply-To: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN> (Daniel
 Mendler's message of "Sun, 13 Feb 2022 23:39:11 +0100")
Message-ID: <87czjpso5q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Daniel Mendler <mail@HIDDEN> writes: > The
 shortdoc
 buffer currently lacks support for the outline-minor-mode. > By setting the
 two variables outline-regexp and outline-level, we can > unlock this feature.
 Does it make sense to provide t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 DC_PNG_UNO_LARGO       Message contains a single large png image
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53981
Cc: 53981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Daniel Mendler <mail@HIDDEN> writes:

> The shortdoc buffer currently lacks support for the outline-minor-mode.
> By setting the two variables outline-regexp and outline-level, we can
> unlock this feature. Does it make sense to provide this by default?
>
> (defun shortdoc--outline-level () (if (eq (char-after) ?\() 2 1)))
> (add-hook 'shortdoc-mode-hook
>           (lambda ()
>             (setq-local outline-level #'shortdoc--outline-level
>                         outline-regexp "[A-Z(]")))

I tried the following:

diff --git a/lisp/emacs-lisp/shortdoc.el b/lisp/emacs-lisp/shortdoc.el
index 658edd6752..fd79cf5116 100644
--- a/lisp/emacs-lisp/shortdoc.el
+++ b/lisp/emacs-lisp/shortdoc.el
@@ -1435,7 +1435,10 @@ shortdoc-mode-map
 
 (define-derived-mode shortdoc-mode special-mode "shortdoc"
   "Mode for shortdoc."
-  :interactive nil)
+  :interactive nil
+  (setq-local outline-level (lambda ()
+                              (if (eq (char-after) ?\() 2 1))
+              outline-regexp "[A-Z(]"))
 
 (defun shortdoc--goto-section (arg sym &optional reverse)
   (unless (natnump arg)

But then hiding levels made the display pretty weird:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


So if we want that, it needs more work.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Feb 2022 22:39:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 13 17:39:38 2022
Received: from localhost ([127.0.0.1]:39115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nJNWs-0006dk-Dh
	for submit <at> debbugs.gnu.org; Sun, 13 Feb 2022 17:39:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:45900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nJNWq-0006dc-Hd
 for submit <at> debbugs.gnu.org; Sun, 13 Feb 2022 17:39:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51010)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nJNWp-00066Z-Mm
 for bug-gnu-emacs@HIDDEN; Sun, 13 Feb 2022 17:39:35 -0500
Received: from [2a01:4f8:121:346::180] (port=56455 helo=mail.qxqx.de)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1nJNWn-0001xH-HV
 for bug-gnu-emacs@HIDDEN; Sun, 13 Feb 2022 17:39:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:Subject:From:To:
 MIME-Version:Date:Message-ID:Sender:Reply-To:Cc:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DN51lmZmeziLO2cbg9EKMsoASyNgh7O9q2QlX/qieHc=; b=JCW+KFwdRNV/efleYnoPgif+CF
 Of0ltrujVem82VfZ6Pr9rDXiFv0TX7HrvZbtONdbKqD98TmVBTO7tSQdR96XO7rITeGtn3za3IWsB
 0pvgrYLv3JR6/uxtGpj5tV/BoFb63NSbA+RdFjZ/XmT+Fi+OO1xYDtYbfPUL/BNCle6I=;
Message-ID: <a057b7a1-a364-8833-dd43-27b70b2a35af@HIDDEN>
Date: Sun, 13 Feb 2022 23:39:11 +0100
MIME-Version: 1.0
Content-Language: en-US
To: bug-gnu-emacs@HIDDEN
From: Daniel Mendler <mail@HIDDEN>
Subject: 28.0.91; shortdoc: Add support for outline-minor-mode
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a01:4f8:121:346::180
 (failed)
Received-SPF: pass client-ip=2a01:4f8:121:346::180;
 envelope-from=mail@HIDDEN; helo=mail.qxqx.de
X-Spam_score_int: -33
X-Spam_score: -3.4
X-Spam_bar: ---
X-Spam_report: (-3.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_MED=-2.3, RDNS_NONE=0.793, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

The shortdoc buffer currently lacks support for the outline-minor-mode.
By setting the two variables outline-regexp and outline-level, we can
unlock this feature. Does it make sense to provide this by default?

(defun shortdoc--outline-level () (if (eq (char-after) ?\() 2 1)))
(add-hook 'shortdoc-mode-hook
          (lambda ()
            (setq-local outline-level #'shortdoc--outline-level
                        outline-regexp "[A-Z(]")))

In GNU Emacs 28.0.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5,
cairo version 1.16.0)
 of 2022-02-09 built on projects
Repository revision: 82e74e4559b8becd44f3e7ac0134e2baddd69921
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)




Acknowledgement sent to Daniel Mendler <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53981; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 19 Feb 2022 13:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.